## sshcommand 0~20150207.1~e6d1655

=== debian/changelog ===
sshcommand (0~20150207.1~e6d1655-1) unstable; urgency=medium

  * Initial release. (Closes: #777335)

 -- Alessio Treglia <alessio@debian.org>  Sat, 07 Feb 2015 13:34:38 +0000
