=== debian/control ===
Source: sshcommand
Section: admin
Priority: optional
Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9~)
Build-Depends-Indep:
 git
Standards-Version: 3.9.6
Homepage: https://github.com/progrium/sshcommand
Vcs-Git: git://anonscm.debian.org/collab-maint/sshcommand.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sshcommand.git

Package: sshcommand
Architecture: all
Depends:
 openssh-server | ssh-server,
 ${misc:Depends}
Description: turn SSH into a thin client specifically for your command
 Simplifies running a single command over SSH, and manages
 authorized keys (ACL) and users in order to do so.
 .
 It basically simplifies running:
 .
   ssh user@server 'ls -l <your-args>'
 into:
 .
   ssh ls@server <your-args>
