=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf get-orig-source

get-orig-source:
	sh debian/get-git-source.sh
