## sshcommand 0~20160110.1~2795f65

=== debian/changelog ===
sshcommand (0~20160110.1~2795f65-1) unstable; urgency=medium

  * Imported Upstream version 0~20160110.1~2795f65
  * Upstream project's moved home
  * Override upstream makefile's unnecessary rules in debian/rules
  * Build-dep on shellcheck

 -- Alessio Treglia <alessio@debian.org>  Sun, 10 Jan 2016 12:00:09 +0000
