=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Build-Depends:
  debhelper (>= 9~)
 Build-Depends-Indep:
- git
+ git,
+ shellcheck
 Standards-Version: 3.9.6
-Homepage: https://github.com/progrium/sshcommand
+Homepage: https://github.com/dokku/sshcommand
 Vcs-Git: git://anonscm.debian.org/collab-maint/sshcommand.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sshcommand.git
