=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	shellcheck sshcommand

override_dh_auto_clean:
	dh_auto_clean
	rm -rf get-orig-source

override_dh_auto_install:
override_dh_auto_test:

get-orig-source:
	sh debian/get-git-source.sh
