=== debian/changelog ===
sshcommand (0.20.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Johannes Schauer Marin Rodrigues ]
  * debian/rules: do not run shellcheck for DEB_BUILD_OPTIONS=nocheck

  [ Andreas Tille ]
  * New upstream version
  * d/watch: version=5
  * Point Vcs fields to Salsa
  * Standards-Version: 4.7.3 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Secure URI in copyright format (routine-update)
  * d/rules: Drop unneeded get-orig-source target

 -- Andreas Tille <tille@debian.org>  Thu, 15 Jan 2026 22:02:42 +0100

sshcommand (0~20160110.1~2795f65-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Using new DH level format. Consequently:
      - debian/control: Added 'debhelper-compat' in Build-Depends field and
        bumped level to 13.
  * debian/control: bumped Standards-Version to 4.5.1.
  * debian/pathes/010_FTBFS-shellcheck-fails.patch: added to fix FTBFS.
    (Closes: #952298)
  * debian/watch: updated with remote repository information.

 -- Fabio Augusto De Muzio Tobich <ftobich@gmail.com>  Wed, 05 May 2021 18:50:50 +0200
