=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: sshcommand
 Section: admin
-Priority: optional
 Maintainer: Alessio Treglia <alessio@debian.org>
-Build-Depends:
- debhelper (>= 9~)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep:
  git,
  shellcheck
-Standards-Version: 3.9.6
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/debian/sshcommand
+Vcs-Git: https://salsa.debian.org/debian/sshcommand.git
 Homepage: https://github.com/dokku/sshcommand
-Vcs-Git: git://anonscm.debian.org/collab-maint/sshcommand.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sshcommand.git
 
 Package: sshcommand
 Architecture: all
