=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	shellcheck sshcommand
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf get-orig-source

override_dh_auto_install:
override_dh_auto_test:
