=== debian/watch ===
Version: 5

Template: Github
Owner: dokku
Project: sshcommand
